lapis = require "lapis"
db = require "lapis.db"
csrf = require "lapis.csrf"

import respond_to from require "lapis.application"

import Model from require "lapis.db.model"

class User extends Model
   @primary_key: "login"

class App extends lapis.Application
  "/": =>
    render: "index"

  [form: "/form"]: respond_to {
    GET: =>
      assert @
      csrf_token = csrf.generate_token @
      @html =>
        form method: "POST", action: "/form", ->
          input type: "hidden", name: "csrf_token", value: csrf_token
          input type: "submit"

    POST: =>
      csrf.assert_token @
      "The form is valid!"
  }
